/* GCC */

#include<fstream>
#include<math.h>
#include<vector>

#define INF 1000000000

const double PHI = (sqrt(5) + 1) / 2;
typedef long long ll;

// winning postitons are ([k*phi], [k*phi*phi]) and ([k*phi*phi], [k*phi])
bool isWinning(ll n, ll m) {
    if (n > m) std::swap(n, m);
    // k = [k*phi + k] - [k*phi] = [k*(phi+1)] - [k*phi] = [k*phi*phi] - [k*phi]
    ll k = m - n;
    return n >= 0 && n == ll(k * PHI) && m == ll(k * PHI * PHI);
}

int main() {
    std::ifstream fin("stones.in");
    std::ofstream fout("stones.out");

    ll n, m;
    fin >> n >> m;

    ll a, b, c;

    // [k*phi*phi] = [[k*phi + 1]*phi]
    if (isWinning(ll(m * PHI) + 1, m))
        a = n - ll(m * PHI) - 1;
    // [k*phi] = [[k*phi*phi]/phi]
    else
        a = n - ll(m / PHI);

    // [k*phi*phi] = [[k*phi + 1]*phi]
    if (isWinning(ll(n * PHI) + 1, n))
        b = m - ll(n * PHI) - 1;
    // [k*phi] = [[k*phi*phi]/phi]
    else
        b = m - ll(n / PHI);

    // k = [k*phi + k] - [k*phi] = [k*(phi+1)] - [k*phi] = [k*phi*phi] - [k*phi]
    c = std::min(n, m) - ll(std::abs(m - n) * PHI);
    
    if (!isWinning(n - a, m) || !isWinning(n, m - b) || !isWinning(n - c, m - c)) {
        // This should never happen, but if it does, use naive solution
        int max = std::max(m, n);
        int min = std::min(m, n);
        
        std::vector<int> v(max + 1, INF);
        std::vector<int> w;

        for (int i = 0; i <= max; i++) {
            if (v[i] == INF) {
                v[i] = i + w.size();
                if (v[i] <= max) v[v[i]] = i;
                w.push_back(i);
                fout << i << "\t" << v[i] << std::endl;
            }
        }

        a = n - v[m];
        b = m - v[n];
        c = (max - min < w.size()) ? (min - w[max - min]) : 0;
    }

    fout << std::max(a, 0LL) << " ";
    fout << std::max(b, 0LL) << " ";
    fout << std::max(c, 0LL) << std::endl;

    return 0;
}
