/* GCC */

#include <fstream>

using namespace std;

struct Crossing
{
   int RoadTo[11];     
   int RoadToCount;
   Crossing::Crossing();
   void Crossing::AddRoad(int to);
};

Crossing::Crossing()
{
   RoadToCount = 0;                    
}

void Crossing::AddRoad(int to)
{
   RoadTo[RoadToCount++] = to;     
}


Crossing crossings[1234567];
int n = 0;

bool GotTo[1234567];
bool FindAllPaths(int fromwhere, int ignorewhat, bool first)
{
     GotTo[fromwhere] = true;
     
     for(int i = 0; i < crossings[fromwhere].RoadToCount; i++)
     {
          if(crossings[fromwhere].RoadTo[i] != ignorewhat &&
                         !GotTo[crossings[fromwhere].RoadTo[i]])
          {
              FindAllPaths(crossings[fromwhere].RoadTo[i], ignorewhat, false);
          }
     }
     
     if(first)
     {
         GotTo[ignorewhat] = true;
         for(int i = 0; i < n; i++)
         {
              if(!GotTo[i])
              {
                  return false;
              }        
         }
     }
     
     return true;    
}

int main()
{
    ifstream fin;
    fin.open("crossing.in");
    while(!fin.eof())
    {
       int tmp1, tmp2;
       fin>>tmp1>>tmp2;
       
       crossings[tmp1-1].AddRoad(tmp2-1);    
       crossings[tmp2-1].AddRoad(tmp1-1);    
       if(tmp1 > n)
          n = tmp1;
       if(tmp2 > n)
          n = tmp2;            
    }
    fin.close();
    
    ofstream fout;
    fout.open("crossing.out");
    bool First = true;
    for(int i = 0; i < n; i++)
    {
         for(int i = 0; i < n; i++) GotTo[i] = false;
         if(!FindAllPaths(i == 0 ? 1 : 0, i, true))
         {
             if(First)
             {
                 fout<<i+1;
                 First = false;         
             }
             else
             {
                 fout<<' '<<i+1;
             }
             
         }
    }
    fout<<endl;
    fout.close();
}
