/* GCC */

#include <iostream>
#include <stdio.h>
#include <algorithm>
#include <map>
#include <set>
#include <iterator>
#include <string>
#include <cstring>
#include <math.h>
#include <stdlib.h>
#include <ctime>

typedef unsigned long long ull;
typedef long long ll;

const int MOD= (int)1e9 + 7;
const double ESP= (double) 1e-7;
const int vm= (int)2e5 + 7;
using namespace std;

struct tt{
    int dw, m;
};
tt t[4*vm];
int m[vm];

void build(int v, int tl ,int tr)
{
    if (tl== tr) t[v].m= m[tr];
    else {
        int mid= (tl +tr)>>1;
        build(v+v, tl ,mid);
        build(v+v+1, mid+1 ,tr);
        t[v].m= max(t[v+v].m , t[v+v+1].m);
    }
}

void push (int v, bool fl)
{
    if (t[v].dw)
    {
        t[v].m= max(-1, t[v].m- t[v].dw);
        if (fl)
            t[v+v].dw= t[v+v+1].dw= t[v].dw;
        t[v].dw= 0;
    }
}

void setup(int v, int tl, int tr, int l ,int r, int val)
   {
       if (tl== l && tr ==r){
        t[v].dw= val;
        push(v, (tl<tr ? true : false));
       }
       else {
          push(v, (tl<tr ? true : false));
          int mid= (tl+tr)>>1;
          if (r<=mid) setup(v+v, tl ,mid, l ,r,val);
          else if (l> mid) setup(v+v+1, mid+1, tr, l ,r, val);
          else {
             setup(v+v, tl, mid, l ,mid, val);
             setup(v+v+1, mid+1, tr, mid+1, r, val);
          }
          t[v].m= max(t[v+v].m, t[v+v+1].m);
       }
   }
int get (int v, int tl ,int tr, int l ,int r)
{
    push(v, (tl<tr ? true : false));
    if (tl==l && tr==r)
        return t[v].m;
    else {
        int mid = (tl+tr)>>1;
        if (r<= mid) return get(v+v, tl ,mid, l ,r);
        else if (l > mid) return get(v+v+1, mid+1, tr, l ,r);
        else return max( get(v+v, tl ,mid, l, mid) , get(v+v+1, mid+1, tr, mid+1, r) );
    }
}

int main()
{
    freopen("race.in", "r", stdin);
    freopen("race.out", "w", stdout);
    int n, t1,t2,a,b,ans=0;
    cin>> n >> t1 >> t2 >> a >> b;
    for (int i=1; i<= n; ++i)
        scanf("%d", &m[i]);
    int nmax= n+ t1+t2+1;
    build(1,1,nmax);
    for (int i=1; i<= n; ++i){
       int h=get(1,1,nmax,i, i);
       if (h>0)
            setup(1,1,nmax,i, i+t1-1, (h/a + (h%a>0 ? 1 :0))*a ),
             setup(1,1,nmax, i+t1, i+t1+t2, (h/b + (h%b>0 ? 1 :0))*b ),
             ++ans;
    }
    printf("%d\n", ans);
    return 0;
}
